Jump to content
  • Announcements

    • AndalayBay

      Orphan Attachments   07/31/2018

      I have been doing some housekeeping lately and I've noticed that I had a lot of orphaned attachments. Attachments get orphaned when the PM or post is deleted without removing the attachment first. Deleting a PM or post does not delete the attachment and the file or image remain on the server. I'd like to ask all members to go through their attachments and delete any attachments you don't need anymore or those that have been orphaned. Where can I get a list of my attachments? Click on your display name in the upper right corner of the forums and pick "My Attachments" from the drop-down list. How can I tell an attachment is orphaned? If the PM has been deleted, you'll see a message like this in your attachment list: Unfortunately there is no message if the post has been deleted, so please check your old posts. We do purge old birthday threads every once in a while. Also some hosted projects have been shut down, so you may have orphaned attachments on one of those locations. Thanks!
Sign in to follow this  
Leonardo

[NTW] - EasyEsf for NTW

Recommended Posts

Originally written by HusserlTW @ Total War Center forum

 
 
 

 

boxetw

 
This is EasyEsf for Napoleon Total War. You can read details here: http://www.theassimilationlab.com/forums/topic/15107-etw-easyesf-for-etw/ . Most actions of EasyEsf for ETW and for NTW are the same but there are also some differences between working with NTW version. The main differences are in adding city slots, adding new units, make an emergent playable and change the building chains in towns (e.g. make an industrial town commercial). I have include these differences in info tips and in tutorials. Also a couple of modifications have been excluded from NTW version since they cannot be done (e.g. turns/year).

Available Modifications for NTW:


Campaign

1. Date
2. -
3. Mod Folder
4. -

5. Chang unit size
6. Line of Sight addition

Faction Modifications:

1. Playable/not
2. Major/Minor
3. Treasury
4. Religion
5. Government
6. AI
7. Capitals (current, historical)
8. Colors. A color converter utility is included (Hexadecimal to RGB and vice versa).
9. Victory Conditions

10. Tech Tree.
11. Characters.
12. Family Tree.
13. Emergent to playable

14. Armies and Navies
15. Diplomacy Manager

Region Modifications:

1. Subculture
2. Income
3. Religion
4. Unit resources
5. Change building types
6. Add building on empty slot
7. -
Slots

1. Add new slots in cities.
2. Change building chain and building type in towns.

(accessed only in menu bar)

Make Hybrid Startpos

(accessed only in menu bar)


Now lets... mod and roll!

Installation:

Go here:
http://www.theassimilationlab.com/forums/topic/15107-etw-easyesf-for-etw/ in installation section, install
EasyEsfSuite for ETW
and then update 1.1.
 
 



 
Please note that all pictures can also be found in the download area.  Also, I can only give support for the most common issue e.g CTD, installation, but if I cannot answer your question then I suggest that you post it here.

Edited by Leonardo
Broken links fixed!

Share this post


Link to post
Share on other sites

In case you didn't know, but HusserlTW has retired from modding and I only mirrored his modding work here e.g mods, tools, tutorials etc.

 

Second, nothing is broken, because you need to download the Setup EasyEsf suite (could be mixed up with EasyEsf for ETW) archive and follow the instructions here (I know it is for EasyEsf for ETW, but it should work).

 

Installation:

Download and extract Setup_EasyEsfSuite for ETW.7z, execute Setup_EasyEsfSuite for ETW.exe and follow the instructions of the setup wizard. After installation of the main application you will be asked if you want to install jRuby scripting language. If you have not jRuby installed (or you are not sure), you have to let the wizard to install it.


Download Link 1: http://www.theassimilationlab.com/forums/files/file/832-easyesf-for-etw/

Download Link 2: http://www.mediafire.com/?7dmdnb8t7ndcbd0


Update 1:

After installing EasyEasf Suite above proceed to install update 1.1. Download ee_etw_11_ntw_10.7z, unzip it, run ee_etw_11_ntw_10.exe and follow the instructions. You have to have
EasyEasf Suite even if you want to install only EasyEsf for Napoleon from update 1.1.

Download Link 1: http://www.theassimilationlab.com/forums/files/file/832-easyesf-for-etw/

Download Link 2: http://www.mediafire.com/?ttf3ieu7xxhs7cp

 

I just tried to download the archive on mediafire and it seems fine to me, but I need to be honest I haven't tried to install Easy Esf for NTW before.

 

 

I know it seems a bit confusing, so I probably need to re-arrange a little just to make it easier for anyone (including myself :P ).  But keep in mind that I only copy the OP of each mod, tool directly and only change it due to different forum software.

Share this post


Link to post
Share on other sites

Yes, downloading process is fine but when I extracted the archive, Winrar said that the file was corrupted. I have tried on my PC and my brother laptop, both times failed.

Edited by jager

Share this post


Link to post
Share on other sites

an you help with this EasyEsf for NTW error?

Error: bad argument #1 to 'pairs' (table expected, got nil)

Stack Traceback:

1:[Characters-> On Show] Line: 1 2in main chunk
2: [[string "line]] Line: 427 in function 'Show'
3:[Project-> On Menu] Line: 109 in main chunk

EsayEsf_error.jpg

Share this post


Link to post
Share on other sites

Hi Leonardo ,

Thanks for your reply

I re install EasyEsf and 1.1 and Esay Esf for NTW patch as well but this time I allowed Jruby 163 to be install (I got Ruby 9.0.0) And this time I could get access to Moding ESF file but I still can't save nothing however the message display success.

Could you post Jruby 168 ?

Share this post


Link to post
Share on other sites

Broken links fixed in the OP.  Sorry about that.

@Xenophon06In order to install EasyEsf for NTW properly you need to follow the instructions to the letter and that's like this.

1.  Install EasyEsfSuite for ETW and I think that also includes installation of Jruby

2.  Install the update 1.1 (ee_etw_11_ntw_10.exe after the EasyEsf for ETW installation is completed)

Note, I may have forgot a thing or two, because I don't remember when I installed EasyEsf for NTW the last time.  Probably a couple years ago.

Edited by Leonardo

Share this post


Link to post
Share on other sites

Hi Gentlemen,

I followed the procedure for installation and got no more error 's message  but after modify  ESF there is no new ESF saved anywhere.

 Minas Moth said JRuby 1.6.8 Windows Executable (x64)   can work better but this version isn't available anymore.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×